Subject: bug#13006: recognizing compressed files with arbitrary names

From: [email-masked] (Karl Berry)
Date: Tue, 27 Nov 2012 23:04:34 GMT

+   (setq filename (file-name-sans-versions filename))

Thanks.

    There's a separate question of handling arbitrarily named compressed
    files via magic-fallback-mode-alist or somesuch.

Right.  The backup versions was just an example of problematic names.
Though it's certainly good to have that fixed.

There's also the (potentially related) question of making it possible
for users to tell Emacs "this is a compressed file".  Regardless of the
method(s) used to detect compression, this seems like it would be
useful.  I have plenty of times been forced to decompress files outside
of Emacs and then visit the plain file.  Clearly it's not the end of the
world to do that, but ...

If you want me to send separate reports for either or both of those
things, let me know.  

Thanks,
k